## kf5-messagelib 18.04.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.8.3")

if (POLICY CMP0053)
    cmake_policy(SET CMP0053 NEW)
endif()

project(Messagelib VERSION ${PIM_VERSION})

option(MIMETREEPARSER_ONLY_BUILD "Build only mimetreeparser" FALSE)
option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)


set(KF5_VERSION "5.44.0")


set(MESSAGELIB_LIB_VERSION ${PIM_VERSION})
set(AKONADIMIME_LIB_VERSION "5.8.3")

set(QT_REQUIRED_VERSION "5.8.0")

set(AKONADI_VERSION "5.8.3")
set(GRANTLEETHEME_LIB_VERSION "5.8.3")
set(GRAVATAR_LIB_VERSION "5.8.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.8.3")
set(KCONTACTS_LIB_VERSION "5.8.3")
set(KDEPIM_APPS_LIB_VERSION "5.8.3")
set(KLDAP_LIB_VERSION "5.8.3")
set(KMAILTRANSPORT_LIB_VERSION "5.8.3")
set(KMBOX_LIB_VERSION "5.8.3")
set(KMIME_LIB_VERSION "5.8.3")
set(KPIMTEXTEDIT_LIB_VERSION "5.8.3")
set(LIBKDEPIM_LIB_VERSION "5.8.3")
set(LIBKLEO_LIB_VERSION "5.8.3")
set(PIMCOMMON_LIB_VERSION "5.8.3")
set(GPGME_LIB_VERSION "1.8.0")
set(AKONADI_CONTACT_VERSION "5.8.3")

if (${MIMETREEPARSER_ONLY_BUILD})
   set(ECM_VERSION "5.26.0")
   set(KMIME_LIB_VERSION "5.1.40")
else()
    set(ECM_VERSION ${KF5_VERSION})
endif()

find_package(ECM ${ECM_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${Messagelib_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
set(LIBRARY_NAMELINK)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMCoverageOption)


find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Gui Test)

find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(QGpgme ${GPGME_LIB_VERSION} CONFIG REQUIRED)

if (NOT ${MIMETREEPARSER_ONLY_BUILD})
   find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Network PrintSupport WebEngine WebEngineWidgets)
   find_package(KF5Archive ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5Completion ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5ConfigWidgets ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5ItemViews ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5JobWidgets ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5Service ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5Sonnet ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5TextWidgets ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5WidgetsAddons ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5WindowSystem ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5SyntaxHighlighting ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)

   find_package(Grantlee5 "5.1" CONFIG REQUIRED)

   find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
   find_package(KF5AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5AkonadiContact ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
   find_package(KF5FollowupReminder ${KDEPIM_APPS_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5Gravatar ${GRAVATAR_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5KaddressbookGrantlee ${KDEPIM_APPS_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5Ldap ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5LibkdepimAkonadi ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5MailTransportAkonadi ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5Mbox ${KMBOX_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5SendLater ${KDEPIM_APPS_LIB_VERSION} CONFIG REQUIRED)

   find_package(KF5AkonadiSearch "5.8.3" CONFIG REQUIRED)
   set_package_properties(KF5AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "http://www.kde.org" TYPE REQUIRED PURPOSE "Provides search capabilities in KMail and Akonadi")

endif()

# Support for the GIT revision number in messagecomposer-version.h
if(EXISTS "${Messagelib_SOURCE_DIR}/.git")
  find_package(Git)
  if(GIT_FOUND)
    execute_process(COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
                    WORKING_DIRECTORY ${Messagelib_SOURCE_DIR}
                    OUTPUT_VARIABLE messagelib_git_revision)
    string(REGEX REPLACE "\n" "" messagelib_git_revision "${messagelib_git_revision}")
    set(messagelib_git_revision "git-${messagelib_git_revision}")

    execute_process(COMMAND ${GIT_EXECUTABLE} log -1 --oneline --format=%ci
                    WORKING_DIRECTORY ${Messagelib_SOURCE_DIR}
                    OUTPUT_VARIABLE messagelib_git_last_change)
    string(REGEX REPLACE " [-0-9:+ ]*\n" "" messagelib_git_last_change "${messagelib_git_last_change}")
  endif()
endif ()

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x000000)

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()

add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_subdirectory(mimetreeparser)
if (NOT ${MIMETREEPARSER_ONLY_BUILD})
   add_subdirectory(messageviewer)
   add_subdirectory(templateparser)
   add_subdirectory(messagecomposer)
   add_subdirectory(messagecore)
   add_subdirectory(messagelist)
   add_subdirectory(webengineviewer)
endif()

install( FILES messagelib.renamecategories messagelib.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== debian/changelog ===
kf5-messagelib (4:18.04.3-0ubuntu3) cosmic; urgency=medium

  * Sync some debian unstable changes:
    - Update watch file.
    - Update lintian overrides.
    - Update upstream metadata.
    - Update debian/copyright.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 26 Aug 2018 13:21:48 +0100

kf5-messagelib (4:18.04.3-0ubuntu2) cosmic; urgency=medium

  * Skip autotests for now. Upstream release tars and CI tests are
    consistently broken, so running them here has little or no worth
    unless that changes.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Aug 2018 14:28:32 +0100

kf5-messagelib (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  [ Walter Lapchynski ]
  * Removing MISSING symbols. 

  [ Rik Mills ]
  * New upstream release (18.03.80)
  * debian/patches: Drop upstream applied patches
  * Update symbols
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

  [ Simon Quigley ]
  * Bump sonames with the Debian ABI Manager due to binary incompatible
    changes:
    - libkf5mimetreeparser5abi2 -> libkf5mimetreeparser5abi3
    - libkf5messageviewer5abi4 -> libkf5messageviewer5abi5

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:55:07 +0100

kf5-messagelib (4:17.12.3-0ubuntu5) cosmic; urgency=medium

  * Add upstream patrch to fix build with Qt 5.11
  * Update symbols for Qt 5.11

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 20 Jul 2018 05:58:08 +0100

kf5-messagelib (4:17.12.3-0ubuntu4) cosmic; urgency=medium

  * Skip tests on architectures we do not support

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 18 May 2018 18:21:06 +0100

=== debian/control ===
Source: kf5-messagelib
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               git,
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.1~),
               libgrantlee5-dev (>= 5.0~),
               libkf5akonadi-dev (>= 4:18.04.3~),
               libkf5akonadimime-dev (>= 4:18.04.3~),
               libkf5akonadinotes-dev (>= 4:18.04.3~),
               libkf5akonadisearch-dev (>= 4:18.04.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:18.04.3~),
               libkf5contacts-dev (>= 4:18.04.3~),
               libkf5followupreminder-dev (>= 4:18.04.3~),
               libkf5grantleetheme-dev (>= 18.04.3~),
               libkf5gravatar-dev (>= 4:18.04.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5identitymanagement-dev (>= 18.04.3~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kaddressbookgrantlee-dev (>= 4:18.04.3~),
               libkf5ldap-dev (>= 18.04.3~),
               libkf5libkdepim-dev (>= 4:18.04.3~),
               libkf5libkleo-dev (>= 4:18.04.3~),
               libkf5mailtransport-dev (>= 18.04.3~),
               libkf5mbox-dev (>= 18.04.3~),
               libkf5mime-dev (>= 18.04.3~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:18.04.3~),
               libkf5pimtextedit-dev (>= 18.04.3~),
               libkf5sendlater-dev (>= 4:18.04.3~),
               libkf5syntaxhighlighting-dev (>= 5.31.0~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webenginewidgets5,
               libqt5webkit5-dev (>= 5.4.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtbase5-private-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/messagelib
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/messagelib

Package: kf5-messagelib-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5messageviewer5 (<< 4:16.04.1), ${kde-l10n:all}
Replaces: libkf5messageviewer5 (<< 4:16.04.1), ${kde-l10n:all}
Description: KDE PIM messaging library, data files
 This package contains the data files shipped with the message libraries.
 .
 This package is part of KDE PIM module.

Package: libkf5messagecomposer5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5MessageComposer
Architecture: any
Multi-Arch: same
Depends: kf5-messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM messaging library, composer library
 This package contains the message composer library. It provides basic e-mail
 message composing facilities.
 .
 This package is part of KDE PIM module.

Package: libkf5messagecomposer-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:18.04.3~),
         libkf5akonadimime-dev (>= 4:18.04.3~),
         libkf5followupreminder-dev (>= 4:18.04.3~),
         libkf5identitymanagement-dev (>= 18.04.3~),
         libkf5libkdepim-dev (>= 4:18.04.3~),
         libkf5libkleo-dev (>= 4:18.04.3~),
         libkf5messagecomposer5abi2 (= ${binary:Version}),
         libkf5mime-dev (>= 18.04.3~),
         libkf5pimcommon-dev (>= 4:18.04.3~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, composer devel files
 This package contains the development files for the message composer library.
 Which provides basic e-mail message composing facilities.
 .
 This package is part of KDE PIM module.

Package: libkf5messagecore5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5MessageCore
Architecture: any
Multi-Arch: same
Depends: kf5-messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM messaging library, core library
 This package contains the message core library. It provides basic e-mail
 message handling facilities.
 .
 This package is part the KDE PIM module.

Package: libkf5messagecore-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5messagecore5abi2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, core devel files
 This package contains the development files for the message core library.
 Which provides basic e-mail message handling facilities.
 .
 This package is part of KDE PIM module.

Package: libkf5messagelist5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5MessageList
Architecture: any
Multi-Arch: same
Depends: kf5-messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libmessagelist5
Replaces: libmessagelist5
Description: KDE PIM messaging library, message list library
 This package contains the message list library. It provides a widget for the
 e-mail message lists with extensive filtering, grouping and useful features.
 .
 This package is part of the KDE PIM module.

Package: libkf5messagelist-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5messagelist5abi1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, message list devel files
 This package contains the development files for the message list library.
 Which provides a widget for the e-mail message lists with extensive filtering,
 grouping and useful features.
 .
 This package is part of KDE PIM module.

Package: libkf5messageviewer-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-addons (<< 16.12.0~)
Replaces: kdepim-addons (<< 16.12.0~)
Description: KDE PIM messaging library, message viewer library
 This package contains the message viewer library which implements feature-rich
 and highly configurable widget for viewing e-mail messages.
 .
 This package is part of the KDE PIM module.

Package: libkf5messageviewer5abi5
X-Debian-ABI: 5
X-CMake-Target: KF5MessageViewer
Architecture: any
Multi-Arch: same
Depends: kf5-messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libmessageviewer5abi1, libmessageviewer5abi2
Replaces: libmessageviewer5abi1, libmessageviewer5abi2
Description: KDE PIM messaging library, message viewer library
 This package contains the message viewer library which implements feature-rich
 and highly configurable widget for viewing e-mail messages.
 .
 This package is part of the KDE PIM module.

Package: libkf5messageviewer-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgrantlee5-dev,
         libkf5messageviewer5abi5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, message viewer devel files
 This package contains the development files for the message viewer library.
 Which provides the implementation of a feature-rich and highly configurable
 widget for viewing e-mail messages.
 .
 This package is part of KDE PIM module.

Package: libkf5templateparser5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5TemplateParser
Architecture: any
Multi-Arch: same
Depends: kf5-messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KMail template parser library
 This library implements a parser for the mail templates which KMail uses to
 enable customization of initial structure for the new, reply or forwarded
 messages.
 .
 This package is part of the KDE PIM module.

Package: libkf5templateparser-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5templateparser5abi2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, template parser devel files
 This package contains the development files for the template parser library.
 Which provides the implementation of a parser for the mail templates which
 KMail uses to enable customization of initial structure for the new, reply or
 forwarded messages.
 .
 This package is part of KDE PIM module.

Package: libkf5mimetreeparser5abi3
X-Debian-ABI: 3
X-CMake-Target: KF5MimeTreeParser
Architecture: any
Multi-Arch: same
Depends: kf5-messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM Mime Tree parser library
 This library implements a parser for the mime tree used by KMail.
 .
 This package is part of the KDE PIM module.

Package: libkf5mimetreeparser-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5mimetreeparser5abi3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Mime Tree parser library devel files
 This library implements a parser for the mime tree used by KMail.
 .
 This package is part of the KDE PIM module.

Package: libkf5webengineviewer5abi3
X-Debian-ABI: 3
X-CMake-Target: KF5WebEngineViewer
Architecture: any
Multi-Arch: same
Depends: kf5-messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: WebEngineViewer library
 This library implements a WebEngineViewer.
 .
 This package is part of the KDE PIM module.

Package: libkf5webengineviewer-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5webengineviewer5abi3 (= ${binary:Version}),
         qtwebengine5-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE's Qt Web Engine Viewer devel files
 This library implements view on Qt Web Engine used by KDE PIM.
 .
 This package is part of the KDE PIM module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_shlibdeps:
	$(overridden_command) -plibkf5messageviewer5abi5 -- -xlibc6
	$(overridden_command) --remaining-packages

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, libgl1-mesa-dri, gnupg-agent, akonadi-server,
         akonadi-backend-sqlite, breeze-icon-theme, openbox,
         libkf5akonadi-dev-bin, libkf5akonadisearch-bin, kinit
#Restrictions: build-needed

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr
